com.google.gwt.aria.client

## Class NavigationRoleImpl

- java.lang.Object
- - com.google.gwt.aria.client.RoleImpl
  - - com.google.gwt.aria.client.NavigationRoleImpl

All Implemented Interfaces:
  LandmarkRole, NavigationRole, RegionRole, Role, SectionRole, StructureRole

    class NavigationRoleImpl
    extends RoleImpl
    implements NavigationRole

Implements `NavigationRole`.

### Constructor Summary

Constructors
Constructor and Description
`NavigationRoleImpl(java.lang.String roleName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAriaExpandedState(Element element)` Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.
`void` `removeAriaExpandedState(Element element)` Removes the aria-expanded attribute from the `element`.
`void` `setAriaExpandedState(Element element, ExpandedValue value)` Sets the aria-expanded attribute for the `element` to the given `value`.

### Methods inherited from class com.google.gwt.aria.client.RoleImpl

`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.aria.client.Role

`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

### Constructor Detail

#### NavigationRoleImpl

    NavigationRoleImpl(java.lang.String roleName)

### Method Detail

#### getAriaExpandedState

    public java.lang.String getAriaExpandedState(Element element)

Description copied from interface: `SectionRole`
Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.

Specified by:
  `getAriaExpandedState` in interface `SectionRole`

#### removeAriaExpandedState

    public void removeAriaExpandedState(Element element)

Description copied from interface: `SectionRole`
Removes the aria-expanded attribute from the `element`.

Specified by:
  `removeAriaExpandedState` in interface `SectionRole`

#### setAriaExpandedState

    public void setAriaExpandedState(Element element,
                                     ExpandedValue value)

Description copied from interface: `SectionRole`
Sets the aria-expanded attribute for the `element` to the given `value`.

Specified by:
  `setAriaExpandedState` in interface `SectionRole`